%global dlrn_nvr ansible-role-container-registry-1.0.1.dev13-0.20190115200251.2cba7e3
%global dlrn 1
%define upstream_version 1.0.1.dev13
%global srcname ansible_role_container_registry
%global rolename ansible-role-container-registry

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.0.1
Release: 0.20190115200252.2cba7e3%{?dist}
Summary:        Ansible role to deploy a container registry.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-container-registry
Source0: ansible-role-container-registry-1.0.1.dev13-0.20190115200251.2cba7e3-2cba7e32b7a08ae422d9a1ba2455331bd4d5cb93.tar.gz


# patches_ignore=DROP-IN-RPM
# patches_base=2cba7e32b7a08ae422d9a1ba2455331bd4d5cb93

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python2-pbr

Requires: ansible

%description

Ansible role to deploy a container registry

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%py2_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%py2_install


%files
%doc README*
%license LICENSE
%{python2_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Fri Feb 08 2019 Thierry Vignaud <tvignaud@redhat.com> 1.0.1-0.20190115200251.2cba7e3
- rebase over RDO

* Tue Dec 11 2018 Martin André <m.andre@redhat.com> 1.0.1-0.20181003162447.ddf8d09
- Update patches

* Tue Dec 11 2018 Martin André <m.andre@redhat.com> 1.0.1-0.20181003162446.ddf8d09
- Allow to skip docker reconfiguration (rhbz#1652406)
- Add xfs ftype check during install (rhbz#1652406)
- Update gitreview for code.engineering.redhat.com

